
#include <amxmodx>
#include <csstats>

#define CS_TEAM_T 1
#define CS_TEAM_CT 2

new g_MsgSyncInfo;

public plugin_init() {
	g_MsgSyncInfo = CreateHudSyncObj();
	register_event("StatusValue", "StatusValue_Event", "be", "1=2", "2!0");
	register_plugin("ShowStatus", "1.0", "noob9491");
}

public StatusValue_Event(id) {
	static idother;
	idother = read_data(2);
	if(idother < 1 ||idother > 32)
		return PLUGIN_CONTINUE;
	static name[32], statsid, statstemp[8], 
	healthid, armorid, weaponname[32];
	get_user_name(idother, name, 31);
	statsid = get_user_stats(idother, statstemp, statstemp);
	healthid = get_user_health(idother);
	armorid = get_user_armor(idother);
	get_weaponname(get_user_weapon(idother), weaponname, 31);
	replace(weaponname, 31, "weapon_", "");
	switch(get_user_team(idother)) {
		case CS_TEAM_T: set_hudmessage(175, 0, 0, -1.0, 0.55, 0, 2.0, 2.0);
		case CS_TEAM_CT: set_hudmessage(10, 30, 185, -1.0, 0.55, 0, 2.0, 2.0);
		default: return PLUGIN_CONTINUE;
	}
	ShowSyncHudMsg(id, g_MsgSyncInfo, "Name: %s / Rank: %i / Hp: %i / Ap: %i / Wpn: %s",name,statsid,healthid,armorid,weaponname);
	return PLUGIN_CONTINUE;
}
